#-*- encoding:utf-8 -*-

class CpData 
	attr_reader :from,:to,:mode

	def initialize
		from = String.new
		to = String.new
		mode = -1
	end

	def setFrom(f)
		begin
			r = File::ftype(f)
		rescue Errno::ENOENT => e
			STDERR.puts "No such directory. #{f}"
		else
			if r == "directory" then
				@from = f
			else
				puts "#{f} is not directory."
			end
		end
	end

	def setTo(t)
		@to = t
	end

	def setMode(m)
		@mode = m
	end

end
