#-*- encoding:utf-8 -*-

require 'rexml/document'
require 'CpData.rb'

class ACopy
	attr_reader :xml_file_path,:cpdatas

	def initialize(xml_path)
		@cpdatas = []
		if File::exist?(xml_path) then
			@xml_file_path = xml_path
		else
			raise("#{xml_path} is invalid.")
		end
	end

	def read
		doc = REXML::Document.new(open(@xml_file_path))	
		doc.elements.each('acopy/copy') do |e|
			d = CpData.new
			d.setFrom(e.attributes["from"])
			d.setTo(e.attributes["to"])
			d.setMode(e.attributes["mode"].to_sym)
			@cpdatas[@cpdatas.size] = d
		end
	end
end
